org.keycloak.representations.idm.authorization

## Class RolePolicyRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.authorization.AbstractPolicyRepresentation
  - - org.keycloak.representations.idm.authorization.RolePolicyRepresentation

-     public class RolePolicyRepresentation
      extends AbstractPolicyRepresentation

  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RolePolicyRepresentation.RoleDefinition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RolePolicyRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientRole(String clientId, String name)`
    `void` | `addClientRole(String clientId, String name, boolean required)`
    `void` | `addRole(String name)`
    `void` | `addRole(String name, boolean required)`
    `Set<RolePolicyRepresentation.RoleDefinition>` | `getRoles()`
    `String` | `getType()`
    `void` | `setRoles(Set<RolePolicyRepresentation.RoleDefinition> roles)`

    - ### Methods inherited from class org.keycloak.representations.idm.authorization.AbstractPolicyRepresentation

      `addPolicy, addResource, addScope, equals, getDecisionStrategy, getDescription, getId, getLogic, getName, getOwner, getPolicies, getResources, getResourcesData, getScopes, getScopesData, hashCode, removePolicy, removeScope, setDecisionStrategy, setDescription, setId, setLogic, setName, setOwner, setPolicies, setResources, setResourcesData, setScopes, setScopesData, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RolePolicyRepresentation

          public RolePolicyRepresentation()

  - ### Method Detail

    - #### getType

          public String getType()

      Overrides:
        `getType` in class `AbstractPolicyRepresentation`

    - #### getRoles

          public Set<RolePolicyRepresentation.RoleDefinition> getRoles()

    - #### setRoles

          public void setRoles(Set<RolePolicyRepresentation.RoleDefinition> roles)

    - #### addRole

          public void addRole(String name,
                              boolean required)

    - #### addRole

          public void addRole(String name)

    - #### addClientRole

          public void addClientRole(String clientId,
                                    String name)

    - #### addClientRole

          public void addClientRole(String clientId,
                                    String name,
                                    boolean required)

Copyright © 2021 JBoss by Red Hat. All rights reserved.